# Parametric categories

Managing parametric categories in the e-shop.

## List of parametric categories

 - [GET /api/parametric-categories](https://api.docs.shoptet.com/shoptet-api/openapi/parametric-categories/getlistofparametriccategories.md): Returns the list of product categories.

## Creation of parametric category

 - [POST /api/parametric-categories](https://api.docs.shoptet.com/shoptet-api/openapi/parametric-categories/createparametriccategory.md): Creates a new combination for a parametric category.

Prerequisites: Before creating a combination, a parametric category definition for the selected
parameterCodes and the given category must exist. Create one via POST /parametric-categories-definition.
To discover which parameterCodes are available for a category, use GET /parametric-categories-available-parameters.

You can create only one parametric category combination for each combination of parameterCode and valueCode.

The "Advanced SEO" module must be active to use this endpoint.

## Parametric category detail

 - [GET /api/parametric-categories/{categoryGuid}](https://api.docs.shoptet.com/shoptet-api/openapi/parametric-categories/getparametriccategorydetail.md): Returns parametric category info.

## Update of parametric category

 - [PATCH /api/parametric-categories/{categoryGuid}](https://api.docs.shoptet.com/shoptet-api/openapi/parametric-categories/updateparametriccategory.md): Updates existing parametric category. 

The "Advanced SEO" module must be active to use this endpoint.

This endpoint is language dependent. While active module "Foreign languages" 
you can use language query parameter to specify the language of updated parametric category.

## Delete of parametric category

 - [DELETE /api/parametric-categories/{categoryGuid}](https://api.docs.shoptet.com/shoptet-api/openapi/parametric-categories/deleteparametriccategory.md): Delete existing parametric category. The "Advanced SEO" module must be active to use this endpoint.

## Parametric category available parameters

 - [GET /api/parametric-categories-available-parameters/{categoryGuid}](https://api.docs.shoptet.com/shoptet-api/openapi/parametric-categories/getparametriccategoryavailableparameters.md): Returns all available parameters for a parent category that can be used when creating
parametric categories and their combinations.

The "Advanced SEO" module must be active to use this endpoint.

## Creation of parametric category definition

 - [POST /api/parametric-categories-definition](https://api.docs.shoptet.com/shoptet-api/openapi/parametric-categories/createparametriccategorydefinition.md): Creates a new parametric category definition for a given category and set of parameters.

The definition specifies which parameters are used to generate parametric category pages for the specified category.
You can specify 1 to 4 parameters. Each parameterCode must exist and must be unique within the request.
Only one definition with the same set of parameters can exist per category.

The "Advanced SEO" module must be active to use this endpoint.

